/*==========================================================================;
 *
 *  File:          LSqrDll.h
 *  Version:       1.0
 *  Desc:		   LSQR DLL header
 *  Author:        Miha Grcar 
 *  Created on:    Oct-2007
 *  Last modified: Oct-2007
 *  License:       Common Public License (CPL)
 *  Note:
 *      See ReadMe.txt for additional info and acknowledgements.
 * 
 ***************************************************************************/

#ifndef LSQR_DLL
#define LSQR_DLL

#ifdef LSQR_EXPORT
#define LSQR_API extern "C" __declspec(dllexport)
#else
#define LSQR_API extern "C" __declspec(dllimport)
#endif

LSQR_API int NewMatrix();
LSQR_API void DeleteMatrix(int id);
LSQR_API void NewRow(int mat_id);
LSQR_API void InsertValue(int mat_id, int idx, double val);
LSQR_API double *DoLSqr(int mat_id, int mat_transp_id, double *rhs, int max_iter);

#endif